java.beans

## Class ParameterDescriptor

- java.lang.Object
- - java.beans.FeatureDescriptor
  - - java.beans.ParameterDescriptor

    public class ParameterDescriptor
    extends FeatureDescriptor

The ParameterDescriptor class allows bean implementors to provide additional information on each of their parameters, beyond the low level type information provided by the java.lang.reflect.Method class.

Currently all our state comes from the FeatureDescriptor base class.

### Constructor Summary

Constructors
Constructor and Description
`ParameterDescriptor()` Public default constructor.

### Method Summary

### Methods inherited from class java.beans.FeatureDescriptor

`attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setDisplayName, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParameterDescriptor

    public ParameterDescriptor()

Public default constructor.